{
  "compilerOptions": {
    "target": "ESNext",
    "useDefineForClassFields": true,
    "module": "ESNext",
    "moduleResolution": "Node",
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["ESNext", "DOM"],
    "skipLibCheck": true,
    "allowJs": false,
    "outDir": "dist/types",
    "declaration": true,
    "types": [
      "node"
    ],
    "paths": {
      "@/*": ["./src/*"]
    },
  },
  "files": [
    "./vue-shims.d.ts",
  ],
  "resolve": {
    "extensions": [".ts", ".tsx", ".js", ".jsx"]
  },
  "include": ["src/**/*.ts", "src/**/*.d.ts", "src/**/*.tsx", "src/**/*.vue"],
  "exclude": ["src/**/*.stories.ts"],
  "references": [{ "path": "./tsconfig.node.json" }],
}
